com.trilead.ssh2.channel

## Class Channel

- java.lang.Object
- - com.trilead.ssh2.channel.Channel

    public class Channel
    extends java.lang.Object

Channel.

### Constructor Summary

Constructors
Constructor and Description
`Channel(ChannelManager cm)`

### Method Summary

Methods
`java.lang.String` `getExitSignal()`
`java.lang.Integer` `getExitStatus()`
`java.lang.String` `getReasonClosed()`
`ChannelInputStream` `getStderrStream()`
`ChannelOutputStream` `getStdinStream()`
`ChannelInputStream` `getStdoutStream()`
`void` `setReasonClosed(java.lang.String reasonClosed)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Channel

    public Channel(ChannelManager cm)

### Method Detail

#### getStderrStream

    public ChannelInputStream getStderrStream()

#### getStdinStream

    public ChannelOutputStream getStdinStream()

#### getStdoutStream

    public ChannelInputStream getStdoutStream()

#### getExitSignal

    public java.lang.String getExitSignal()

#### getExitStatus

    public java.lang.Integer getExitStatus()

#### getReasonClosed

    public java.lang.String getReasonClosed()

#### setReasonClosed

    public void setReasonClosed(java.lang.String reasonClosed)